buildscripts: Remove set -x from run_in_docker.sh

Printing the commands is pretty ugly output and not particularly
helpful, unless debugging the logic. If needing to debug, just add the
-x locally.
diff --git a/buildscripts/run_in_docker.sh b/buildscripts/run_in_docker.sh
index 9e1d8a7..87dc915 100755
--- a/buildscripts/run_in_docker.sh
+++ b/buildscripts/run_in_docker.sh
@@ -1,5 +1,5 @@
 #!/bin/bash
-set -eux -o pipefail
+set -eu -o pipefail
 
 quote() {
   local arg